#ifndef _LIST_H_
#define _LIST_H_

#include <lib.h>

struct node
{
  struct node * next;
  int val;
};

struct list
{
  struct node * front;
  int len;
};

struct list * newlist(void);
int listsert(struct list * l, int x);
void listemove(struct list * l, int x);
void listelete(struct list * l);
int listearch(struct list * l, int x);
int listpop(struct list * l);

#endif /* _LIST_H_ */
